## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate flume

Name:           rust-flume
Version:        0.11.0
Release:        %autorelease
Summary:        Blazingly fast multi-producer channel

# Upstream license specification: Apache-2.0/MIT
License:        Apache-2.0 OR MIT
URL:            https://crates.io/crates/flume
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop unused, benchmark-only criterion dev-dependency
Patch:          flume-fix-metadata.diff
# * upstream patch to fix compiling tests with crossbeam-channel >=0.5.13
Patch:          https://github.com/zesterer/flume/pull/149.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A blazingly fast multi-producer channel.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+async-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+async-devel %{_description}

This package contains library source intended for building other packages which
use the "async" feature of the "%{crate}" crate.

%files       -n %{name}+async-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+eventual-fairness-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+eventual-fairness-devel %{_description}

This package contains library source intended for building other packages which
use the "eventual-fairness" feature of the "%{crate}" crate.

%files       -n %{name}+eventual-fairness-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+futures-core-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+futures-core-devel %{_description}

This package contains library source intended for building other packages which
use the "futures-core" feature of the "%{crate}" crate.

%files       -n %{name}+futures-core-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+futures-sink-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+futures-sink-devel %{_description}

This package contains library source intended for building other packages which
use the "futures-sink" feature of the "%{crate}" crate.

%files       -n %{name}+futures-sink-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+nanorand-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+nanorand-devel %{_description}

This package contains library source intended for building other packages which
use the "nanorand" feature of the "%{crate}" crate.

%files       -n %{name}+nanorand-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+select-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+select-devel %{_description}

This package contains library source intended for building other packages which
use the "select" feature of the "%{crate}" crate.

%files       -n %{name}+select-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+spin-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+spin-devel %{_description}

This package contains library source intended for building other packages which
use the "spin" feature of the "%{crate}" crate.

%files       -n %{name}+spin-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Jun 25 2024 Fabio Valentini <decathorpe@gmail.com> - 0.11.0-4
- Add upstream patch to fix compiling tests with crossbeam-channel >=0.5.13

* Mon Jun 10 2024 Fabio Valentini <decathorpe@gmail.com> - 0.11.0-3
- Regenerate with rust2rpm v26

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Aug 17 2023 Orion Poplawski <orion@nwra.com> - 0.11.0-1
- Update to 0.11.0

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Oct 19 2022 Orion Poplawski <orion@nwra.com> - 0.10.14-1
- Update to 0.10.14

* Mon Oct 17 2022 Tomas Hrcka <thrcka@redhat.com> - 0.9.1-4
- Unretirement request: https://pagure.io/releng/issue/11085

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Oct 01 2020 Fabio Valentini <decathorpe@gmail.com> - 0.9.1-1
- update to version 0.9.1

* Wed Sep 23 2020 Fabio Valentini <decathorpe@gmail.com> - 0.9.0-1
- update to version 0.9.0

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 22 2020 Josh Stone <jistone@redhat.com> - 0.7.2-1
- Update to 0.7.2

* Tue Mar 31 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.7.1-1
- Initial import
## END: Generated by rpmautospec
